#ifndef LCD_H
#define LCD_H
/**
 * lcd-clock by peter dannegger
 *
 * via shift register 74HC164
 *
 * connections:
 *    avr      -> lcd-driver (SPI)
 *    74HC164  -> lcd:
 *    ----------------
 *    3     ->    D4
 *    4     ->    D7
 *    5     ->    D6
 *    6     ->    D5
 *    10    ->    D1
 *    11    ->    D2
 *    12    ->    D3
 *    13    ->    D0
 */
#include <inttypes.h>
#include <avr/pgmspace.h>

#ifdef EXTERN
#undef EXTERN
#endif
#ifdef PLACE_GLOBALS_HERE
#define EXTERN
#else
#define EXTERN extern
#endif

EXTERN uint8_t  lcdPos;
EXTERN PROGMEM uint8_t BitNo[]
#ifdef PLACE_GLOBALS_HERE
= { 0x10, 0x80, 0x40, 0x20, 0x02, 0x04, 0x08, 0x01 }
#endif
;

void lcdInit(void);
void lcdCommand(uint8_t c);
void lcdData(uint8_t d);
#endif
